Delete BackOrderPreOrderReservation - Fabric

Delete BackOrderPreOrderReservation

cURL

curl --request DELETE \
  --url https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{identifier} \
  --header 'Authorization: Bearer <token>'

Python

import requests

url = "https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{identifier}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://prod01.oms.fabric.inc/api/v2/backpre-order/backorderpreorder-reserve/{identifier}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP




Response Codes

Example Response on Success

{
  "orderNumber": "order_123",
  "sku": "sku_123",
  "lineItemId": "0",
  "type": "BACKORDER",
  "orderDate": "2022-04-12T09:30:31.198Z",
  "backOrderedQuantity": 5,
  "locationNum": 23,
  "channelId": "channel_12",
  "orderStatusCode": "Created",
  "id": "1",
  "itemId": "123",
  "cartId": "b03b72dc-78d8-4ea4-90fc-2fe6a1fe6569",
  "toReleaseQuantity": 0,
  "vendorId": "vendor_123",
  "consentToDelay": "true",
  "consentDate": "2022-07-12T09:30:31.198Z",
  "lastNotificationDate": "2022-06-12T09:30:31.198Z",
  "toNotify": "false",
  "lineItemStatus": "CANCELLED",
  "paymentStatus": "OK"
}

Example Error Responses

Bad Request

{
  "message": "Bad Request"
}

Object Not Found

{
  "message": "Object Not Found."
}

Internal Server Error

{
  "message": "Internal Server Error"
}

Authorization

Authorization Header: Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters